Bug 5610 - smbclient copy stops at just over 2GB (similar to bug #3509)
smbclient copy stops at just over 2GB (similar to bug #3509)
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.20
x86 Other
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-13 21:44 UTC by Rodney Sheppard
Modified: 2014-10-30 12:07 UTC (History)
0 users

See Also:


Attachments
attachment-109364-0.html (deleted)
2014-10-30 04:56 UTC, Rodney Sheppard
no flags Details
attachment-111444-0.html (deleted)
2014-10-30 06:49 UTC, Rodney Sheppard
no flags Details
attachment-128947-0.html (1.58 KB, text/html)
2014-10-30 11:47 UTC, Rodney Sheppard
no flags Details
attachment-129484-0.html (2.41 KB, text/html)
2014-10-30 12:07 UTC, Rodney Sheppard
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rodney Sheppard 2008-07-13 21:44:02 UTC
smbclient copy stops at just over 2GB

I have tested that things are ok on the windows side by 
copying a file over 4BG.


source machine is
Unix server running SCO Openserver 6.0.0. MP3

target machine is
OS=[Windows Server 2003 3790 Service Pack 2] Server=[Window Server 2003 5.2]


smbclient --version
Version 3.0.20

outfile="tests1"

copy test command
dd if=/dev/zero | smbclient -d 4 -E ${budest} -U${userid}%${passwd} \
        -c "put - ${budestdir}\\${outfile}" 2>s1.err >s1.out

gets error...
Error writing file: ERRSRV - ERRerror (Non-specific error code.)


ls using smbclient after err...
  tests1                      A 2147492029  Sat Jul 12 19:00:43 2008

???? file byte size stops at (2 * 1024 * 1024 * 1204) + 8381  ????

smbclient debug

 +++++ log/errs +++++
lp_load: refreshing parameters
Initialising global parameters
params.c:pm_process() - Processing configuration file "/etc/samba/smb.conf"
Processing section "[global]"
added interface ip=10.3.0.122 bcast=10.3.1.255 nmask=255.255.254.0
added interface ip=127.0.0.1 bcast=127.255.255.255 nmask=255.0.0.0
Client started (version 3.0.20).
Connecting to 10.3.0.185 at port 445
Doing spnego session setup (blob length=130)
got OID=1 2 840 48018 1 2 2
got OID=1 2 840 113554 1 2 2
got OID=1 2 840 113554 1 2 2 3
got OID=1 3 6 1 4 1 311 2 2 10
got principal=s-pdc-vrt-bk01$@VICTRACKAD.VICTRACK.COM.AU
Got challenge flags:
Got NTLMSSP neg_flags=0x62890215
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x60080215
NTLMSSP Sign/Seal - Initialising with flags:
Got NTLMSSP neg_flags=0x60080215
Domain=[VICTRACKAD] OS=[Windows Server 2003 3790 Service Pack 2] Server=[Window Server 2003 5.2]
Connecting to 10.3.0.185 at port 445
Doing spnego session setup (blob length=130)
got OID=1 2 840 48018 1 2 2
got OID=1 2 840 113554 1 2 2
got OID=1 2 840 113554 1 2 2 3
got OID=1 3 6 1 4 1 311 2 2 10
got principal=s-pdc-vrt-bk01$@VICTRACKAD.VICTRACK.COM.AU
Got challenge flags:
Got NTLMSSP neg_flags=0x62890215
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x60080215
NTLMSSP Sign/Seal - Initialising with flags:
Got NTLMSSP neg_flags=0x60080215
dos_clean_name []
dos_clean_name []
dos_clean_name [\\daily\daily_database.cpio.gz]
Error writing file: ERRSRV - ERRerror (Non-specific error code.)
putting file - as \daily\daily_database.cpio.gz (649.7 kb/s) (average 649.7 kb/)
Comment 1 Rodney Sheppard 2008-07-13 22:23:03 UTC
Same test works fine on
Slackware 10.2 Linux (kernel 2.4.31)
same smbclient version 3.0.20
target machine was Windows XP Pro SP2 (on VMWare Server on same Linux host)

then tested version to a Windows XP fails


Comment 2 Rodney Sheppard 2008-07-13 22:27:25 UTC
previous comment should end with
then tested SCO version to a Windows XP fails
Comment 3 Rodney Sheppard 2008-07-14 01:02:42 UTC
test with smbclient 3.0.14a on SCO 5.06 also fails after 2GB+
Comment 4 Björn Jacke 2014-10-29 14:25:17 UTC
SCO Unix is ancient and by the way not actively supported by us. Current target OSes have large file support and have no issue with larger files.
Comment 5 Rodney Sheppard 2014-10-30 04:56:05 UTC
Created attachment 10382 [details]
attachment-109364-0.html

Thanks

SCO is still the best tho :)

-- reply above this line --
--------------------------------------------------------------------
Rodney Sheppard
Software Engineer - Development Manager
Trans-Mit Pty. Ltd.
7 Wendy Court Hampton Park,
Vic 3976,  Australia
Phone... +61 3 87878744
Fax.........+61 3 87875722
Email...... rod@transmit.com.au
Web....... www.transmit.com.au
--------------------------------------------------------------------
__________________________________________________
  ----- Original Message ----- 
  From: samba-bugs@samba.org 
  To: rod@transmit.com.au 
  Sent: Thursday, October 30, 2014 1:25 AM
  Subject: [Bug 5610] smbclient copy stops at just over 2GB (similar to bug #3509)


  https://bugzilla.samba.org/show_bug.cgi?id=5610

  Björn Jacke <bj@sernet.de> changed:

             What    |Removed                     |Added
  ----------------------------------------------------------------------------
           Resolution|---                         |WONTFIX
               Status|NEW                         |RESOLVED

  --- Comment #4 from Björn Jacke <bj@sernet.de> ---
  SCO Unix is ancient and by the way not actively supported by us. Current target
  OSes have large file support and have no issue with larger files.

  -- 
  You are receiving this mail because:
  You reported the bug.=
Comment 6 Volker Lendecke 2014-10-30 06:17:24 UTC
> SCO is still the best tho :)

There's always https://www.samba.org/samba/support/ available :-)
Comment 7 Rodney Sheppard 2014-10-30 06:49:03 UTC
Created attachment 10383 [details]
attachment-111444-0.html

Thanks,

We got around it by nit useing smbclient
IN fact ther has been another issue with the version of Samba on the SCO to do with ASD intergration
with Win server 2008 +,
(and also securtiy scans. said Samab needed upgrading as well)
As SCO has not provided a maintenace pack with a newer version of Samba, and I have not been able to get Samab to compile on my  SCO dev box
The solution for this customer has been to move to RedHat linux.

Rod


-- reply above this line --
--------------------------------------------------------------------
Rodney Sheppard
Software Engineer - Development Manager
Trans-Mit Pty. Ltd.
7 Wendy Court Hampton Park,
Vic 3976,  Australia
Phone... +61 3 87878744
Fax.........+61 3 87875722
Email...... rod@transmit.com.au
Web....... www.transmit.com.au
--------------------------------------------------------------------
__________________________________________________
  ----- Original Message ----- 
  From: samba-bugs@samba.org 
  To: rod@transmit.com.au 
  Sent: Thursday, October 30, 2014 5:17 PM
  Subject: [Bug 5610] smbclient copy stops at just over 2GB (similar to bug #3509)


  https://bugzilla.samba.org/show_bug.cgi?id=5610

  --- Comment #6 from Volker Lendecke <vl@samba.org> ---
  > SCO is still the best tho :)

  There's always https://www.samba.org/samba/support/ available :-)

  -- 
  You are receiving this mail because:
  You reported the bug.
Comment 8 Björn Jacke 2014-10-30 11:17:33 UTC
The content of attachment 10382 [details] has been deleted for the following reason:

crap
Comment 9 Björn Jacke 2014-10-30 11:18:56 UTC
The content of attachment 10383 [details] has been deleted
Comment 10 Rodney Sheppard 2014-10-30 11:47:01 UTC
Created attachment 10384 [details]
attachment-128947-0.html

depends on you point of view!

__________________________________________________
  ----- Original Message ----- 
  From: samba-bugs@samba.org 
  To: rod@transmit.com.au 
  Sent: Thursday, October 30, 2014 10:17 PM
  Subject: [Bug 5610] smbclient copy stops at just over 2GB (similar to bug #3509)


  https://bugzilla.samba.org/show_bug.cgi?id=5610

  --- Comment #8 from Björn Jacke <bj@sernet.de> ---
  The content of attachment 10382 [details] has been deleted for the following reason:

  crap

  -- 
  You are receiving this mail because:
  You reported the bug.=
Comment 11 Rodney Sheppard 2014-10-30 12:07:25 UTC
Created attachment 10385 [details]
attachment-129484-0.html

Initiallythe use of smbclient was replaced with ftp SCO box , and enable the Microsoft FTP serveice on the destination
the SCO ftp was able to cope with the large file on the destinaton.

-- reply above this line --
--------------------------------------------------------------------
Rodney Sheppard
Software Engineer - Development Manager
Trans-Mit Pty. Ltd.
7 Wendy Court Hampton Park,
Vic 3976,  Australia
Phone... +61 3 87878744
Fax.........+61 3 87875722
Email...... rod@transmit.com.au
Web....... www.transmit.com.au
--------------------------------------------------------------------
__________________________________________________
  ----- Original Message ----- 
  From: samba-bugs@samba.org 
  To: rod@transmit.com.au 
  Sent: Thursday, October 30, 2014 5:17 PM
  Subject: [Bug 5610] smbclient copy stops at just over 2GB (similar to bug #3509)


  https://bugzilla.samba.org/show_bug.cgi?id=5610

  --- Comment #6 from Volker Lendecke <vl@samba.org> ---
  > SCO is still the best tho :)

  There's always https://www.samba.org/samba/support/ available :-)

  -- 
  You are receiving this mail because:
  You reported the bug.